org.apache.cassandra.db

## Class TruncateResponse

- java.lang.Object
- - org.apache.cassandra.db.TruncateResponse

    public class TruncateResponse
    extends java.lang.Object

This message is sent back the truncate operation and basically specifies if the truncate succeeded.

### Nested Class Summary

Nested Classes
`static class` `TruncateResponse.TruncateResponseSerializer`

### Field Summary

Fields
`java.lang.String` `columnFamily`
`java.lang.String` `keyspace`
`static TruncateResponse.TruncateResponseSerializer` `serializer`
`boolean` `success`

### Constructor Summary

Constructors
Constructor and Description
`TruncateResponse(java.lang.String keyspace, java.lang.String columnFamily, boolean success)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MessageOut<TruncateResponse>` `createMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serializer

    public static final TruncateResponse.TruncateResponseSerializer serializer

#### keyspace

    public final java.lang.String keyspace

#### columnFamily

    public final java.lang.String columnFamily

#### success

    public final boolean success

### Constructor Detail

#### TruncateResponse

    public TruncateResponse(java.lang.String keyspace,
                            java.lang.String columnFamily,
                            boolean success)

### Method Detail

#### createMessage

    public MessageOut<TruncateResponse> createMessage()